> For a complete documentation index, fetch https://docs.voximplant.ai/llms.txt

# GetAccountInvoices

POST https://api.voximplant.com/platform_api/GetAccountInvoices

Gets all invoices for the specified USD or EUR account.

**Example request:** GetAccountInvoices example.

Reference: https://docs.voximplant.ai/api-reference/management-api/reference/invoices/get-account-invoices

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: management-api
  version: 1.0.0
paths:
  /GetAccountInvoices:
    post:
      operationId: get-account-invoices
      summary: GetAccountInvoices
      description: |-
        Gets all invoices for the specified USD or EUR account.

        **Example request:** GetAccountInvoices example.
      tags:
        - subpackage_invoices
      parameters:
        - name: count
          in: query
          description: Number of invoices to show per page. Default value is 20
          required: false
          schema:
            type: integer
        - name: offset
          in: query
          description: >-
            Number of invoices to skip (e.g. if you set count = 20 and offset =
            0 the first time, the next time, offset has to be equal to 20 to
            skip the items shown earlier). Default value is 0
          required: false
          schema:
            type: integer
        - name: Authorization
          in: header
          description: >-
            Voximplant Management API uses signed JWT tokens generated from your
            service-account private key. Pass the token in the `Authorization`
            header as a Bearer value:


            ```

            Authorization: Bearer $VOXIMPLANT_TOKEN

            ```


            See [Authorization](/api-reference/management-api/authorization) for
            ready-to-copy snippets in bash, Python, Node.js and Go that turn
            your `credentials.json` into a token.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/invoices_GetAccountInvoices_Response_200'
servers:
  - url: https://api.voximplant.com/platform_api
components:
  schemas:
    InvoicePeriod:
      type: object
      properties:
        from:
          type: string
          description: |-
            Date string as returned by the Management API.

            From date in the following format: YYYY-MM-DD
        to:
          type: string
          description: |-
            Date string as returned by the Management API.

            To date in the following format: YYYY-MM-DD
      description: Invoices period.
      title: InvoicePeriod
    InvoiceTotalDetails:
      type: object
      properties:
        tax_amount:
          type: number
          format: double
          description: Total amount of taxes
        total_amount:
          type: number
          format: double
          description: Invoice total amount including taxes
        amount_to_pay:
          type: number
          format: double
          description: Discounted amount to pay
        discount_amount:
          type: number
          format: double
          description: Discount
        currency:
          type: string
          description: Invoice currency
      description: Invoice total amount details.
      title: InvoiceTotalDetails
    AccountInvoiceRowsItemsAmount:
      type: object
      properties:
        tax_amount:
          type: number
          format: double
        total_amount:
          type: integer
        amount_to_pay:
          type: integer
        discount_amount:
          type: integer
        currency:
          type: string
      title: AccountInvoiceRowsItemsAmount
    AccountInvoiceRowsItemsTaxesItems:
      type: object
      properties:
        taxable_measure:
          type: number
          format: double
        amount:
          type: number
          format: double
        level:
          type: string
        rate:
          type: number
          format: double
        name:
          type: string
        currency:
          type: string
        category:
          type: string
      title: AccountInvoiceRowsItemsTaxesItems
    AccountInvoiceRowsItems:
      type: object
      properties:
        amount:
          $ref: '#/components/schemas/AccountInvoiceRowsItemsAmount'
        service_name:
          type: string
        taxes:
          type: array
          items:
            $ref: '#/components/schemas/AccountInvoiceRowsItemsTaxesItems'
      title: AccountInvoiceRowsItems
    AccountInvoice:
      type: object
      properties:
        period:
          $ref: '#/components/schemas/InvoicePeriod'
          description: Invoice period
        amount:
          $ref: '#/components/schemas/InvoiceTotalDetails'
          description: Info on all money spent in the invoice
        invoice_id:
          type: integer
          description: Invoice id
        rows:
          type: array
          items:
            $ref: '#/components/schemas/AccountInvoiceRowsItems'
          description: Detailed info on each spending
        invoice_number:
          type: string
          description: Unique invoice number
        invoice_date:
          type: string
          description: |-
            Date string as returned by the Management API.

            Date when the invoice is created in the following format: YYYY-MM-DD
        status:
          type: string
          description: Invoice status
      description: GetAccountInvoices function result.
      title: AccountInvoice
    invoices_GetAccountInvoices_Response_200:
      type: object
      properties:
        result:
          type: array
          items:
            $ref: '#/components/schemas/AccountInvoice'
          description: Array of the account invoices
        total_count:
          type: integer
          description: Total number of invoices matching the query parameters
        count:
          type: integer
          description: Number of returned invoices matching the query parameters
      title: invoices_GetAccountInvoices_Response_200
  securitySchemes:
    JwtAuth:
      type: http
      scheme: bearer
      description: >-
        Voximplant Management API uses signed JWT tokens generated from your
        service-account private key. Pass the token in the `Authorization`
        header as a Bearer value:


        ```

        Authorization: Bearer $VOXIMPLANT_TOKEN

        ```


        See [Authorization](/api-reference/management-api/authorization) for
        ready-to-copy snippets in bash, Python, Node.js and Go that turn your
        `credentials.json` into a token.

```

## SDK Code Examples

```python Example 1
import requests

url = "https://api.voximplant.com/platform_api/GetAccountInvoices"

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers)

print(response.json())
```

```javascript Example 1
const url = 'https://api.voximplant.com/platform_api/GetAccountInvoices';
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Example 1
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.voximplant.com/platform_api/GetAccountInvoices"

	req, _ := http.NewRequest("POST", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Example 1
require 'uri'
require 'net/http'

url = URI("https://api.voximplant.com/platform_api/GetAccountInvoices")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Example 1
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.voximplant.com/platform_api/GetAccountInvoices")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Example 1
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.voximplant.com/platform_api/GetAccountInvoices', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Example 1
using RestSharp;

var client = new RestClient("https://api.voximplant.com/platform_api/GetAccountInvoices");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Example 1
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.voximplant.com/platform_api/GetAccountInvoices")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```